Bug 450173 - new-kernel-pkg does not detect /boot/grub/grub.conf
new-kernel-pkg does not detect /boot/grub/grub.conf
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-05 13:25 EDT by Zach Carter
Modified: 2009-07-14 12:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:10:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
if /etc/grub.conf symlink does not exist, check /boot/grub/grub.conf (546 bytes, patch)
2008-06-05 13:30 EDT, Zach Carter
no flags Details | Diff

  None (edit)
Description Zach Carter 2008-06-05 13:25:42 EDT
Description of problem:

/sbin/new-kernel-pkg only checks for the /etc/grub.conf symlink, and does not
check the actual file in /boot/grub/grub.conf 

This means grubby will not run, and the grub.conf will not get updated.


Version-Release number of selected component (if applicable): 6.0.52


How reproducible:

download the latest mainline kernel, build the kernel, run make install


Steps to Reproduce:
1. download mainline kernel from kernel.org
2. build the kernel
3. make install (and the grub.conf will not be updated)
4. try the new-kernel-pkg command directly:

[zcarter@nudj linux-2.6]$ sudo /sbin/new-kernel-pkg -v --mkinitrd --depmod
--install 2.6.26-rc5
initrdfile is /boot/initrd-2.6.26-rc5.img
running depmod for 2.6.26-rc5
creating initrd /boot/initrd-2.6.26-rc5.img using 2.6.26-rc5
found /boot/initrd-2.6.26-rc5.img and using it with grubby
/etc/grub.conf does not exist, not running grubby
/etc/lilo.conf does not exist, not running grubby
[zcarter@nudj linux-2.6]$ 
  
Actual results:

/boot/grub/grub.conf is unchanged

Expected results:

/boot/grub/grub.conf should be updated with the recently installed kernel


Additional info:
Comment 1 Zach Carter 2008-06-05 13:30:05 EDT
Created attachment 308464 [details]
if /etc/grub.conf symlink does not exist, check /boot/grub/grub.conf
Comment 2 Bug Zapper 2009-06-09 21:25:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 12:10:02 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.